#include <stdio.h>
#include <stdlib.h>

int loaddictionary(char * dictfile, long int* byteposition)
{
  //now, load the dictionary 
  int i=0;
  char line[100];
  FILE * tmpstream;

  /*Open dictionary file for scanning*/

  if( (tmpstream=fopen(dictfile, "rb"))==NULL)
    {
      fprintf(stderr,"File %s not found\n",dictfile);
      return 0;
    }
  else
    {
      
    
      /*BEGIN INITIAL DICTIONARY ACCESS POINT SCAN*/
      /*After you get there, find out what byte you are at                       */
      fprintf(stderr,"Scanning Dictionary File for Access Points\n#ABCDEFGHIJKLMNOPQRSTUVWXYZ\n");
      int flag;
      while(i<27)                      /*Find start of each letter*/
	{ 
	  flag=1;
	  while(flag){
	    fgets(line,100,tmpstream);                 /*Get a line and see if it is a divider*/
	    if(strncmp(line,"##-----",7)==0)
	      {
		flag=0;
	      };
	  };
			 
	  byteposition[i]=ftell(tmpstream);              /*When you find a divider, store it in array*/
	  fprintf(stderr,".");
	
	  i++;
	};
      fprintf(stderr,"\n");
           
    };

  /*END INITIAL DICTIONARY ACCESS POINT SCAN*/

  /*Set the dictionary stream (passed in) to the tmp stream*/
  return 1;
}
