#include <stdio.h>
#include <stdlib.h>

/*Must be originally defined in main application file*/
extern float freq[27][27][27];  // 0 indicates space (punctuation), i indicates



int loadfrequencydata(char* filename)
{
  FILE * filein;
  /* Open for read (will fail if file "data" does not exist) */
  if( (filein  = fopen( filename, "rb" )) == NULL )
    {
      printf( "The file '%s' was not opened\n",filename );
      return 0;  /*Failure*/
    }
  else
    {
      int i,j,k;
      float proportion=0;
      //Go through data matrix file and read in the frequency matrix
      for(i=0;i<27;i++){
	for(j=0;j<27;j++){
	  for(k=0;k<27;k++){
	    fread(&proportion,sizeof(float),1,filein);
	    freq[i][j][k]=proportion;
	  };
	}
      };
      
      fclose(filein);
      
    }
  return 1;  /*Success!*/
}
